    /*
     *  call-seq:
     *     SpanTermQuery.new(field, term) -> query
     *
     *  Create a new SpanTermQuery which matches all documents with the term
     *  +term+ in the field +field+.
     */
    static VALUE
    frb_spantq_init(VALUE self, VALUE rfield, VALUE rterm)
    {
        Query *q = spantq_new(frb_field(rfield), StringValuePtr(rterm));
        Frt_Wrap_Struct(self, NULL, &frb_q_free, q);
        object_add(q, self);
        return self;
    }